> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Settings

> Set settings



## OpenAPI

````yaml openapi-v2 POST /settings/set/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /settings/set/{instance}:
    post:
      tags:
        - Settings Controller
      summary: Set Settings
      description: Set settings
      operationId: setSettings
      parameters:
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - rejectCall
                - groupsIgnore
                - alwaysOnline
                - readMessages
                - readStatus
                - syncFullHistory
                - msgCall
              properties:
                rejectCall:
                  type: boolean
                  description: Reject calls automatically
                msgCall:
                  type: string
                  description: Message to be sent when a call is rejected automatically
                groupsIgnore:
                  type: boolean
                  description: Ignore group messages
                alwaysOnline:
                  type: boolean
                  description: Always show WhatsApp online
                readMessages:
                  type: boolean
                  description: Send read receipts
                readStatus:
                  type: boolean
                  description: See message status
                syncFullHistory:
                  type: boolean
                  description: Syncronize full WhatsApp history with EvolutionAPI
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  settings:
                    type: object
                    properties:
                      instanceName:
                        type: string
                        description: The name of the instance.
                      settings:
                        type: object
                        properties:
                          reject_call:
                            type: boolean
                            description: Indicates whether to reject incoming calls.
                          groups_ignore:
                            type: boolean
                            description: Indicates whether to ignore group messages.
                          always_online:
                            type: boolean
                            description: >-
                              Indicates whether to always keep the instance
                              online.
                          read_messages:
                            type: boolean
                            description: Indicates whether to mark messages as read.
                          read_status:
                            type: boolean
                            description: Indicates whether to read status updates.
                          sync_full_history:
                            type: boolean
                            description: >-
                              Indicates whether to synchronize full message
                              history.
                example:
                  settings:
                    instanceName: teste-docs
                    settings:
                      reject_call: true
                      groups_ignore: true
                      always_online: true
                      read_messages: true
                      read_status: true
                      sync_full_history: false
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````